package org.gcube.application.geoportal.common.rest;

import org.bson.Document;
import org.gcube.application.geoportal.common.model.rest.QueryRequest;
import org.gcube.application.geoportal.common.model.useCaseDescriptor.UseCaseDescriptor;

import java.rmi.RemoteException;


public interface UseCaseDescriptors {

    public UseCaseDescriptor create(Document toCreate)throws RemoteException;

    public Iterable<UseCaseDescriptor> query(QueryRequest request)throws RemoteException;

    public void deleteById(String id,boolean force)throws RemoteException;

    public UseCaseDescriptor update(String ID, Document toSet)throws RemoteException;

    public UseCaseDescriptor getById(String id)throws RemoteException;
}
