package org.gcube.application.geoportal.service.engine.mongo;

import org.bson.Document;
import org.gcube.application.geoportal.common.model.useCaseDescriptor.UseCaseDescriptor;
import org.gcube.application.geoportal.common.model.rest.QueryRequest;

public interface UCDManagerI {

    public UseCaseDescriptor create(Document toCreate);

    public Iterable<UseCaseDescriptor> query(QueryRequest request);

    public void deleteById(String id,boolean force);

    public UseCaseDescriptor update(String ID, Document toSet);

    public UseCaseDescriptor getById(String id);
}
